version: '3'

services:

  lazyapi:
    image: registry.gitlab.com/tumpi/lazyrest/api
    environment:
      - MONGO_PATH=mongodb://172.17.0.1:27017/lazyrestapi
      - MONGO_DB_USER_NAME=lazyadmin
      - MONGO_DB_PASS=admin123
    networks:
      - web
    deploy:
      replicas: 1
      labels:
        - "traefik.backend=api-lazyapi"
        - "traefik.docker.network=web"
        - "traefik.frontend.rule=Host:lazyrestapi.arizalsaputro.me"
        - "traefik.enable=true"
        - "traefik.port=9227"

networks:
  web:
    external: true